<?php

namespace FiloBlu\Esb\Model\Producer;

use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Api\Data\CustomerHubspotProducerInterface;
use FiloBlu\Esb\Framework\Producer\AbstractProducer;
use Magento\Customer\Model\Customer;

/**
 * Class AbstractCustomerHubspotProducer
 * @package FiloBlu\Esb\Model\Producer
 */
abstract class AbstractCustomerHubspotProducer extends AbstractProducer implements CustomerHubspotProducerInterface
{
    /**
     * @inheritDoc
     */
    abstract public function produce(Customer $customer = null) : MessageInterface;
}
